function plot_ocean_temp(melt_hist,IS)
        for rcp = 1:2
            figure
            % set the figures positions
            set(gcf, 'Position', [800*(rcp-1) 1000-500*IS 800 500]);
            for GCM = 1:length(melt_hist)
                plot(melt_hist(GCM).year{rcp},melt_hist(GCM).temp{rcp},'LineWidth',2.0)
                hold on
            end
            set(gca,'FontSize',12,'XTick',1850:15:2020,'box','off')
            % IS = 1 is Ross ; IS = 2 is FRIS
            % if rcp 2.6 mark as (a); if rcp 8.5 mark as (b);
            if IS == 1& rcp ==1; text(1835,0.55,'a','FontSize',14,'fontweight', 'bold'); end
            if IS == 2& rcp ==1; text(1835,-0.55,'a','FontSize',14,'fontweight', 'bold'); end
            if IS == 1& rcp ==2; text(1835,0.55,'b','FontSize',14,'fontweight', 'bold'); end
            if IS == 2& rcp ==2; text(1835,-0.55,'b','FontSize',14,'fontweight', 'bold'); end
            xlabel('Year')
            ylabel('Ocean Potential Temperature ({\circ}C)','Interpreter','tex')
            xlim([1850 2020])
            legend(melt_hist(:).GCM,'Location', 'NorthWest')
            legend(melt_hist(:).GCM,'Location', 'NorthWest')
            if IS==1
            text(0.5,0.95,'Ross ice shelf','Units','normalized','FontSize',20,'HorizontalAlignment','center');
            else
            text(0.5,0.95,'FRIS','Units','normalized','FontSize',20,'HorizontalAlignment','center');
            end
        end
end