
The GCM directory contains ocean potential temperature time series for both Antarctica ice shelves near open sea retrieved from FGOALS-s2 under RCP 6.0 and Greenland store glacier retrieved from MIROC5 under RPC8.5 and HadGEM3-GC31-MM projections under update of RCP8.5 based on SSP5. The raw data are accessed from CMIP5 (https://esgf-node.llnl.gov/search/cmip5/) and CMIP6 (https://esgf-node.llnl.gov/search/cmip6/) projects respectively and the processed data deposited here are stored in Excel format.

The WOD directory contains the NetCDF files of Present-Day ocean conditions including temperature, salinity, depth, and other variables retrieved from World Ocean Database (WOD).  The data are deposited as NetCDF format.
 
The Analysis directory contains 3 subdirectories that illustrates the analysis workflow for both Greenland and Antarctica. 

	The Antarctica subdirectory contains the analysis codes to reproduce Antarctica ice shelf melting response and future projection. Antarctica_analysis.m is the main routine for computation and plotting, and the other files are input files including PISM/PICO simulations outputs and ocean temperature time series retrieved from CMIP5 project that can be found on the previous GCM directory. 

	The Greenland subdirectory contains the main routine store_analysis.m for Greenland Store glacier computation and plotting, the response time series (store.mat), perturbed response time series (store_pert.mat), ocean temperature projection (store_temp.mat) generated by MIROC5, and subglacial runoff time series (store_runoff.mat) estimated from annual basin surface runoff using MAR data forced by MIROC5 under RCP8.5. 

	The Historical subdirectory contains the data and scripts used for the historical analyses in the main text. AIS_melt_historical.m is the main script of the analysis, along with two other plotting functional scripts including plot_melt_rate.m and plot_ocean_temp.m. The input files include the PISM/PICO simulations outputs, which are the same files in Antarctica subdirectory, and other 2 input files that contain the temperature time series from 6 CMIP5 GCMs. 

Reference:
Luo, X. and Lin, T. (2022).
A Semi-Empirical Framework for Ice Sheet Response Analysis under Oceanic Forcing in Antarctica and Greenland.
Climate Dynamics, in press. https://doi.org/10.1007/s00382-022-06317-x


